{
  "name": "@theplacelab/ui",
  "version": "1.10.0",
  "description": "ui Service",
  "files": [
    "dist"
  ],
  "main": "dist/main.js",
  "repository": {
    "type": "git",
    "url": "https://gitlab.com/theplacelab/packages/ui.git"
  },
  "author": "Andrew Sempere <a@feralresearch.org>",
  "license": "MIT",
  "bugs": {
    "url": "https://gitlab.com/theplacelab/packages/ui/-/issues"
  },
  "homepage": "https://gitlab.com/theplacelab/packages/ui#readme",
  "publishConfig": {
    "access": "public"
  },
  "scripts": {
    "semantic-release": "npm run build; semantic-release",
    "build": "webpack --mode=production",
    "clean": "rm -rf ./dist",
    "watch": "npm run clean && WATCH=true YALC=true webpack --watch --progress --mode=development",
    "watch:analyze": "webpack --watch --mode=development --addon=analyze"
  },
  "devDependencies": {
    "@babel/cli": "^7.7.7",
    "@babel/core": "^7.7.7",
    "@babel/plugin-proposal-class-properties": "^7.7.4",
    "@babel/plugin-transform-runtime": "^7.15.0",
    "@babel/preset-env": "^7.7.7",
    "@babel/preset-react": "^7.7.4",
    "@semantic-release/git": "^9.0.0",
    "@semantic-release/gitlab": "^6.2.2",
    "babel-loader": "^8.0.6",
    "css-loader": "^3.4.1",
    "prop-types": "^15.7.2",
    "react": "^17.0.1",
    "react-dom": "^17.0.1",
    "react-redux": "^7.2.4",
    "react-router-dom": "^5.2.0",
    "semantic-release": "^17.4.7",
    "style-loader": "^1.1.2",
    "url-loader": "^3.0.0",
    "webpack": "^4.41.5",
    "webpack-bundle-analyzer": "^4.4.2",
    "webpack-cli": "^3.3.10",
    "webpack-node-externals": "^1.7.2",
    "webpack-shell-plugin": "^0.5.0"
  },
  "peerDependencies": {
    "@fortawesome/fontawesome-svg-core": "^1.2.35",
    "@fortawesome/free-solid-svg-icons": "^5.15.3",
    "@fortawesome/react-fontawesome": "^0.1.14",
    "moment": "^2.29.1",
    "mousetrap": "^1.6.5",
    "prop-types": "^15.7.2",
    "react": "^17.0.1",
    "react-color": "^2.19.3",
    "react-day-picker": "^7.4.10",
    "react-dom": "^17.0.1",
    "react-markdown": "^6.0.3",
    "react-redux": "^7.2.4",
    "react-router-dom": "^5.2.0",
    "react-slider": "^1.3.1",
    "react-spinners-css": "^2.0.1",
    "redux-saga": "^1.1.3",
    "rehype-raw": "^6.0.0"
  },
  "dependencies": {
    "core-js": "^3.20.3"
  }
}
